@charset "UTF-8";

.inq form {
	background: #FEEAEE;
	margin: 0px;
	padding: 3px;
}

.inq form ol {
	list-style:none;
	margin:0;
	padding:0;
}

.inq form li {
	padding: 15px;
	background: #FEF4F6;
	margin-bottom: 1px;
}

.inq form div.label_name {
	margin-bottom: 10px;
}
.inq form label.lname {
	font-size: 1.6rem;
	font-weight: 500;
}

/* デフォルトのスタイルを無効にする */
.inq input,
.inq select,
.inq textarea,
.inq button {
  box-shadow: none;
  outline: none;
  border: none;
	font-size: 1.6rem;
}

/* テキスト */
.inq form input.txt01,
form textarea {
	font-size: 1.6rem;
	padding: 5px 8px;
	border:1px solid #ccc;
	vertical-align:middle;
	border-radius:5px;
	transition: 0.8s;
	margin: 2px 0;
}

/* テキストエリア */
.inq textarea.txtarea01 {
	border:1px solid #ccc;
	width: 98%;
	height: 10em;
	border-radius:5px;
}

/*入力欄にフォーカスしたら変化*/
.inq form input.txt01:focus,
.inq form textarea.txtarea01:focus {
	background: #FEFEE5;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}

/* ボタン */
.inq input[type="submit"],
.inq input[type="button"],
.inq button {
	font-size: 1.6rem;
}
.inq button {
	border: none;
	font-size: 1.8rem;
  font-weight: 700;
  line-height: 1.5;
  position: relative;
  display: inline-block;
  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -webkit-transition: all 0.3s;
  transition: all 0.3s;
  text-align: center;
  vertical-align: middle;
  text-decoration: none;
  letter-spacing: 0.1em;
  border-radius: 0;
  overflow: hidden;
  padding: 1.5rem 6rem;
  color: #fff;
  background: #FA95A7;
}
.inq button.rev {
	background: #B7B7B7;
}

.inq button span {
  position: relative;
}

.inq button:before {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  content: '';
  -webkit-transition: all .5s ease-in-out;
  transition: all .5s ease-in-out;
  -webkit-transform: translateX(-96%);
  transform: translateX(-96%);
  background: #FBABB9;
}
.inq button.rev:before {
	background: #CCCCCC;
}

.inq button:hover:before {
  -webkit-transform: translateX(0%);
  transform: translateX(0%);
}

.btn_close a {
    position: relative;
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 0 auto;
    max-width: 260px;
    padding: 10px 25px;
    color: #313131;
    transition: 0.3s ease-in-out;
    font-weight: 500;
		border: 1px solid #999;
		text-decoration: none;
}
.btn_close a:before {
    position: absolute;
    top: 50%;
    left: 20px;
    border-radius: 1px;
    transition: 0.2s ease-in-out;
    content: "\f00d";
    font-family: "Font Awesome 6 Pro";
    font-weight: 900;
    transform: translateY(-50%);
}
.btn_close a:hover {
    background: #999;
    color: #FFF;
}

/* セレクトボックス */
.inq select {
	padding: 5px 20px 5px 10px;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	border: 1px solid #CCC;
	border-radius: 3px;
	background: #FFF url(../images/icon_arrow.png) right 50% no-repeat;
	background-size: 20px, 100%;
	margin: 0.2em 0;
	max-width: 100% !important;
}
.inq select:focus {
  background: #e9f5fb url(../images/icon_arrow.png) right 50% no-repeat;
  box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
}
.inq option {
	max-width:8em;
	white-space:normal;
}

/* ラジオボタン */
.radiobox01 input[type="radio"] {
	display: none;
}
.radiobox01 label {
	display: inline-block;
	position: relative;
	cursor: pointer;
	margin-left: 15px;
	padding: 3px 15px;
	line-height: 1.5em;
}
.radiobox01 label:before {
	position: absolute;
	content: "";
	top: 50%;
	left: -14px;
	width: 20px;
	height: 20px;
	margin-top: -10px;
	border: 2px solid #666;
	border-radius: 50%;
}
.radiobox01 input[type="radio"]:disabled + label {
	cursor: default;
}
.radiobox01 input[type="radio"]:disabled + label:before {
  border: 2px solid #146EBE;
	cursor: default;
}
.radiobox01 input[type="radio"]:checked + label:after {
	position: absolute;
	content: "";
	top: 50%;
	left: -10px;
	width: 12px;
	height: 12px;
	margin-top: -6px;
	border-radius: 50%;
	background: #146EBE;
}

/* チェックボックス */
.checkbox01 input[type="checkbox"] {
	display:none;
	cursor: pointer;
} /* to hide the checkbox itself */
.checkbox01 input[type="checkbox"] + label:before {
  font-family: "Font Awesome 6 Pro";
  /*display: inline-block;*/
	font-size: 2.4rem;
	vertical-align: middle;
	position: relative;
	top: -1px;
}

.checkbox01 input[type="checkbox"] + label:before {
	content: "\f096";
	letter-spacing: 5px;
	color: #666;
}
.checkbox01 input[type="checkbox"]:checked + label:before {
	content: "\f14a";
	color: #146EBE;
}
.checkbox01 input[type="checkbox"]:disabled + label {
	cursor: default;
}
.checkbox01 input[type="checkbox"]:disabled + label:before {
	color: #CCC;
	cursor: default;
}
.checkbox01 label:hover {
   cursor: pointer;
}

input.f02 {
	width:2em;
}

input.f03 {
	width:3em;
}

input.f05 {
	width:5em;
}

input.f08 {
	width:8em;
}

input.f10 {
	width:10em;
}

input.f15 {
	width:15em;
}

input.f20 {
	width:20em;
}
input.f25 {
	width:25em;
}

input.f40 {
	width:40em;
}

.inq .imp,
.inq .no_imp {
	color: #FFF;
	padding: 2px 5px 3px;
	font-size: 1.3rem;
	margin-right: 5px;
	border-radius: 5px;
}
.inq .imp {
	background: #fc6572;
}
.inq .no_imp {
	background: #B8B8B8;
}

/* ステップフロー */
.flow {
  width: calc(100% - 30px);
	max-width: 500px;
  display: flex;
  justify-content: space-between;
	margin: 0 auto 20px;
}

.flow li {
	list-style: none;
  width: calc(100% / 3);
  background: #eee;
  line-height: 50px;
  text-align: center;
  position: relative;
	font-family: 'Kosugi Maru', sans-serif;
	font-size: 1.6rem;
}

.flow li:not(:first-child):not(:last-child) { 
  padding: 0 0 0 10px;
}
.flow li::before,
.flow li::after {
  content: "";
  width: 0;
  height: 0;
  display: block;
  position: absolute;
}

.flow li::before {
  border: solid 32px transparent;
  border-right: solid 13px transparent;
  border-left: solid 13px #FFF;
  top: -7px;
  left: 0;
  z-index: 1;
}

.flow li::after {
  border: solid 25px transparent;
  border-left: solid 10px #EDEDED;
  border-right: solid 10px transparent;
  top: 0;
  right: -20px;
  z-index: 2;
}

.flow li:first-child::before/*,
.flow li:last-child::after*/ {
  content: none;  /* 最初のliの左と最後のliの右は作らない */
}

/* 以下.currentだけ色を変えるCSS */

.flow li.cur {
  color: #FFF;
  background: #FA95A7;
}

.flow li.cur::after {
  border-left: solid 10px #FA95A7;
}

.member_type h2 {
	position: relative;
	padding: 2.5rem 2rem 2rem;
	border: solid 2px #E76C38;
	font-size: 1.8rem;
}
.member_type h2:after {
	position: absolute;
	content: "選択されている会員種別";
	top: -10px;
	left: 15px;
	background: #fff;
	font-size: 1.6rem;
	color: #E76C38;
	padding: 0 10px;
}

/*================================================
 *  スマートフォン向けデザイン
 ================================================*/

@media screen and (max-width:767px) {
	.inq input {
		font-size:16px;
		height: 36px;
	}
	.inq textarea {
		font-size:16px;
	}
	input.f25 {
		width: 98%;
		max-width:25em;
	}
	input.f40 {
		width: 98%;
		max-width:50em;
	}

	.flow {
		display: none;
	}
}
